| /* === BOTONES BASE PERSONALIZADOS === */
.btn-custom {
	all: unset;
	display: inline-block;
	padding: 0.5rem 1.2rem;
	border-radius: 8px;
	font-weight: 500;
	font-size: 1rem;
	border: 1px solid transparent;
	cursor: pointer;
	transition: background-color 0.2s ease;
	text-align: center;
	color: white;
	margin-bottom: 1rem;
}

.i-color {
	background: linear-gradient(90deg, #0ea5e9, #38bdf8);
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
	background-clip: text;
	color: transparent;
}

/* === VARIANTES DE BOTONES === */
.btn-nuevo {
	background-color: #00cfff;
	border-color: #00cfff;
	color: white;
}

.btn-nuevo:hover {
	background-color: #00aac0;
	border-color: #00aac0;
}

.btn-importar {
	background-color: #0d6efd;
	border-color: #0d6efd;
	color: white;
}

.btn-importar:hover {
	background-color: #0b5ed7;
	border-color: #0b5ed7;
}

.btn-filtrar {
    background-color: #3f6b7a;
    border-color: #3f6b7a;
    color: white;
}

.btn-filtrar:hover {
    background-color: #345865;
    border-color: #345865;
}

.btn-secu {
	background-color: #10b981;
	border-color: #10b981;
	color: white;
}

.btn-secu:hover {
	background-color: #059669;
	border-color: #059669;
}

/*==== btn de login e input password =====*/
.password-toggle {
	cursor: pointer;
	color: #ffffff;
}

.toggle-password {
	background: none;
	border: none;
	padding: 0 0.75rem;
	color: #ffffff;
	cursor: pointer;
	display: flex;
	align-items: center;
	transition: color 0.3s ease;
}

.toggle-password:hover {
	color: #00cfff;
}

.toggle-password i {
	font-size: 1rem;
}

.btn-login {
	background: linear-gradient(to right, #00cfff, #229df3);
	border: none;
	color: white;
	font-weight: 600;
	padding: 0.75rem;
	border-radius: 10px;
	font-size: 1rem;
	width: 100%;
	margin-top: 1rem;
	box-shadow: 0 4px 12px rgba(0, 188, 212, 0.3);
	transition: 0.3s ease-in-out;
}

.btn-login:hover {
	background: linear-gradient(to right, #229df3, #00cfff);
	box-shadow: 0 6px 18px rgba(0, 188, 212, 0.5);
}

/* --- Botones aislados --- */
.btn-custom-vota.btn-nuevo-vota {
	background-color: #00ccff;
	color: #001f29;
	font-weight: 700;
	padding: 12px 48px;
	border-radius: 8px;
	border: none;
	transition: all 0.2s;
	display: inline-flex;
	align-items: center;
	gap: 10px;
}

.btn-custom-vota.btn-nuevo-vota:hover {
	background-color: #00b8e6;
	transform: translateY(-1px);
}

/*=== responsive ===*/
@media ( max-width : 768px) {
	.btn {
		
	}
	.btn-custom {
		padding: 0.55rem 1rem;
		margin-bottom: 0.75rem;
		font-size: 0.95rem;
	}

	/*.form-control {
    margin-bottom: 0.75rem;
  }*/
	label {
		margin-bottom: 0.2rem;
	}
	.btn-nuevo-login {
		font-size: 0.95rem;
		padding: 0.6rem;
	}
}